--
-- MultiBale
-- 
-- simply adds the fillType info to the load and save functions for bales
--
-- upsideDown 27.03.2013


MultiBale = {};
addModEventListener(MultiBale);
function MultiBale.prerequisitesPresent(specializations)
    return true;
end;

function MultiBale:loadMap(name)
--overwrite the save/load functions of the bales (still uses the original scripts, just adds the fillType info)
	Bale.getSaveAttributesAndNodes = Utils.overwrittenFunction(Bale.getSaveAttributesAndNodes,MultiBale.getSaveAttributesAndNodes);
	Bale.loadFromAttributesAndNodes = Utils.overwrittenFunction(Bale.loadFromAttributesAndNodes,MultiBale.loadFromAttributesAndNodes);
end;

function MultiBale:deleteMap()
end


function MultiBale:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MultiBale:keyEvent(unicode, sym, modifier, isDown)
end;


function MultiBale:update(dt)
end;

function MultiBale:draw()

end;

function MultiBale:getSaveAttributesAndNodes(oldfunc,nodeIdent)

	
	local attributes, nodes = oldfunc(self,nodeIdent) --running the original function
	attributes = attributes .. " fillType="..'"'..self.fillType..'"' --appending the fillType field

return attributes, nodes;

end;



function MultiBale:loadFromAttributesAndNodes(oldfunc,xmlFile, key, resetVehicles)
	local isOK = oldfunc(self,xmlFile, key, resetVehicles);
	if isOK then -- this is just the code that would naturally belong into the original Bale:function..
		local fillType = getXMLFloat(xmlFile, key.."#fillType");
		if fillType ~= nil then
			self.fillType = fillType;
		end
	end
	return isOK;
end;